#1198 closed defect (wontfix)

intptr_t not available in rtems

Reported by: Johnny Willemsen Owned by: Ralf Corsepius
Priority: normal Milestone: 4.8
Component: unspecified Version: 4.6
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

It seems rtems 4.6.6 doesn’t deliver intptr_t as described in http://opengroup.org/onlinepubs/007908799/xsh/inttypes.h.html

Change History (4)

comment:1 Changed on Dec 30, 2006 at 4:55:40 PM by Ralf Corsepius

Owner: changed from Joel Sherrill to Ralf Corsepius

comment:2 Changed on Dec 30, 2006 at 4:59:16 PM by Ralf Corsepius

Resolution: wontfix
Status: newclosed

comment:3 Changed on Dec 31, 2006 at 5:52:14 PM by Johnny Willemsen

We do have autoconf support but that is not used much. Most configuration for different platforms explicitly states which OS has which features and if there are version differences we first try to use posix defines but if there are no defines, we are checking version numbers. Yes, this is a lot of work, but if you need to run on dozens of platforms where part of them doesn't have autoconf support we don't see a different way

comment:4 Changed on Oct 10, 2017 at 6:35:44 AM by Sebastian Huber

Component: miscunspecified
Note: See TracTickets for help on using tickets.